# find the slot where the crafted book is in
data modify storage extraction EnchantmentSlot set from entity @s Inventory[{id: "minecraft:enchanted_book",tag:{Enchantments: [{}]}}].Slot

# get the data from the crafted book
data modify storage extraction EnchantmentStorage set from entity @s Inventory[{id: "minecraft:enchanted_book",tag:{Enchantments: [{}]}}].tag.Enchantments


# item replace uses hotbar.0-8 and inventory.0-26, while storage uses Slot:0-35, so convert it

# convert storage to score
execute store result score @s extractSlot run data get storage minecraft:extraction EnchantmentSlot 1

# Slot:0-8 goes to hotbar
execute if score @s extractSlot matches 0..8 run scoreboard players set #extract extractInventoryMode 0

# Slot:9+ goes to inventory
execute if score @s extractSlot matches 9.. run scoreboard players set #extract extractInventoryMode 1

# If in inventory mode, subtract the number by 9
execute if score #extract extractInventoryMode matches 1 run scoreboard players operation @s extractSlot -= #number9 extractSlot

# If in inventory mode, store that number back into the storage
execute if score #extract extractInventoryMode matches 1 store result storage minecraft:extraction EnchantmentSlot int 1 run scoreboard players get @s extractSlot



# setup macro for slot
function enchex:replace_item with storage minecraft:extraction

# book has been crafted successfully
scoreboard players reset @s testExtract


